Skip to main content
PATCH
/
webhooks
/
subscriptions
/
{subscription_id}
Update Subscription
curl --request PATCH \
  --url https://api.meow.com/v1/webhooks/subscriptions/{subscription_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "event_types": [],
  "rotate_secret": false,
  "is_enabled": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "is_enabled": true,
  "event_types": [],
  "created_time": "2023-11-07T05:31:56Z",
  "updated_time": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.meow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

subscription_id
string<uuid>
required

Body

application/json
name
string | null
Maximum string length: 255
url
string<uri> | null
Required string length: 1 - 2048
event_types
enum<string>[] | null
Available options:
ach_transfer.created,
ach_transfer.updated,
wire_transfer.created,
wire_transfer.updated,
inbound_ach_transfer.created,
inbound_ach_transfer.updated,
inbound_wire_transfer.created,
inbound_wire_transfer.updated,
check_deposit.created,
check_deposit.updated,
global_account_transfer.created,
message.attempt.exhausted,
webhook.test
rotate_secret
boolean
default:false
is_enabled
boolean | null
payload_mode
enum<string> | null
Available options:
snapshot,
thin

Response

Successful Response

id
string<uuid>
required
name
string
required
url
string
required
is_enabled
boolean
required
event_types
enum<string>[] | null
required
Available options:
ach_transfer.created,
ach_transfer.updated,
wire_transfer.created,
wire_transfer.updated,
inbound_ach_transfer.created,
inbound_ach_transfer.updated,
inbound_wire_transfer.created,
inbound_wire_transfer.updated,
check_deposit.created,
check_deposit.updated,
global_account_transfer.created,
message.attempt.exhausted,
webhook.test
payload_mode
enum<string>
required
Available options:
snapshot,
thin
created_time
string<date-time>
required
updated_time
string<date-time>
required